#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.9.0.0
visibility:           public
id:                   ghcide-1.9.0.0-8aPwrCGbZ3iEWajPuCvoRo
key:                  ghcide-1.9.0.0-8aPwrCGbZ3iEWajPuCvoRo
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  f5b3ebc6898239fc9d20418b25f7165b
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.0.2/site-local/ghcide-1.9.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/ghcide-1.9.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.9.0.0-8aPwrCGbZ3iEWajPuCvoRo
depends:
    Diff-0.4.1-GdxJqSCBWVSImKhqghLkQt
    Glob-0.10.2-3nVoBiOJijA9OiBj5S4ual
    aeson-2.1.2.1-A4BCifdqKBRKymWAxMJ7G4
    aeson-pretty-0.8.9-5lTV2yokao3rqi6vQJbJu array-0.5.4.0
    async-2.2.4-FN1EWRVHp3S4oHdBJm7ot4 base-4.15.1.0
    base16-bytestring-1.0.2.0-9D56NZe6o4J55Lq4iVKJS0 binary-0.8.8.0
    bytestring-0.10.12.1 case-insensitive-1.2.1.0-4jgW7rCNZT7HuDvSGowCF
    co-log-core-0.3.2.0-BIRPSTwRAsIAHK8j7hhD2R containers-0.6.4.1
    cryptohash-sha1-0.11.101.0-8esFvj4Z5dlHj6uL4HY0L5
    data-default-0.7.1.1-8E5NGoO1gLxEpVTFDWBmYU deepseq-1.4.5.0
    dependent-map-0.4.0.0-9dkfkCuYlR63p3pRs7457C
    dependent-sum-0.7.2.0-99GZdQFXL7X8CQTtOrBD8X directory-1.3.6.2
    dlist-1.0-JalAZsGq1LOCqqdFHHEpoL
    enummapset-0.7.1.0-FJP1PDD2Lhw5pM2RxPwayv exceptions-0.10.4
    extra-1.7.13-HYX6gpOPDmAIHqUj1ljVuZ filepath-1.4.2.1
    fingertree-0.1.5.0-9moip4KbdSC587KawbetVh
    focus-1.0.3.1-8eS84bc35abAPfu6AJeFuu ghc-9.0.2 ghc-boot-9.0.2
    ghc-boot-th-9.0.2 ghc-check-0.5.0.8-6m3L8oVCqJBFqnv7KQTaSx
    ghc-paths-0.1.0.12-7fRPaqGgnC488dNzs2elDi
    ghc-trace-events-0.1.2.7-KqL0Q6Rsn8A7qIYdrbRLC8
    haddock-library-1.10.0-5yWiAhSmQWH5LltO8OVu8n
    hashable-1.4.2.0-8JSq7I7AhyyZ2Q90BxZWW
    hie-bios-0.11.0-COjuGWi355EG0kfk93tEuN
    hie-compat-0.3.0.0-HtRpwVRm0jbBmBGDkwMYdm
    hiedb-0.4.2.0-IXoxAVAyh9WIveCApb1tHI
    hls-graph-1.9.0.0-70qZSpZSgMmCsSqPYIEGUG
    hls-plugin-api-1.6.0.0-DhQnEwnudygKOQXmBoqyQK
    hslogger-1.3.1.0-7S0bziVWAWA1CTWZHdkYNd
    implicit-hie-0.1.2.7-DHBfdq2V8zELdnUeMml8SN
    implicit-hie-cradle-0.3.0.5-3qflWL1UpzcDM6aE3YlYa
    lens-5.2.2-4uj1AepANiF2ook39zjsmk
    list-t-1.0.5.4-FlzsfRE2xqVnmRZQCzVGN
    lsp-1.6.0.0-IcyT1czl0clCeep5tUMl2Y
    lsp-types-1.6.0.0-22V41g5ygLD9PAsAXe9aVr mtl-2.2.2
    opentelemetry-0.8.0-Eay5JS7VXp3DU7dMjlmDPJ
    optparse-applicative-0.17.0.0-1t7fxkFVvXn4R1Ycov0fb
    parallel-3.2.2.0-D2aleEa2VnPBr164BdKnms
    prettyprinter-1.7.1-9bwAyMlaUSyJVG7FMXWGKT
    prettyprinter-ansi-terminal-1.1.3-C9dAq9WFsAp2PXcJori7vo
    random-1.2.1.1-K0OGGZ2RgxUBJhcMzCddDt
    regex-tdfa-1.3.2.2-9R5AJXd71FKmHTeEzzCL9
    safe-exceptions-0.1.7.4-FcGXfqh8xrQ9AfWfTa2qLe
    sorted-list-0.2.1.0-6jcghXYTAOG6xcHgKgM12R
    sqlite-simple-0.4.18.2-Kcd9UEMsuSTGAonr1QAKjg stm-2.5.0.0
    stm-containers-1.2.0.1-KrYr4bCncIS4mgZ3eoQfZt
    syb-0.7.2.3-ItYotKJTU3VJfC5cskyLmn text-1.2.5.0
    text-rope-0.2-4iCh5Hvm0EIB34j7Oh9aPj time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.24.0-KW7QcS6oOTdEVZjzWJlJSE
    unliftio-core-0.2.1.0-AJ3ipHGgln87h2Y2hfrpJj
    unordered-containers-0.2.19.1-Km0aDxhChoIJJSbiufyazz
    vector-0.13.0.0-9fyHsAonVFcGYv9jtLmfSh

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

